using System;
using LibVLCSharp.Forms.Shared;
using Xamarin.Forms;
using Xamarin.Forms.Platform.GTK;
using Xamarin.Forms.Platform.GTK.Helpers;

namespace Aurora.gtk
{
    class MainClass
    {
        [STAThread]
        public static void Main(string[] args)
        {
            Gtk.Application.Init();
            LibVLCSharpFormsRenderer.Init();

            // For some reason, Xamarin does not pick the LibVLCSharp.Form.Platforms.Gtk assembly as a renderer assembly. 
            // Add it manually.
            global::Xamarin.Forms.Forms.Init(new[] { typeof(LibVLCSharp.Forms.Platforms.GTK.VideoViewRenderer).Assembly });


            if (PlatformHelper.GetGTKPlatform() == GTKPlatform.Windows)
            {
                GtkThemes.LoadCustomTheme("Themes/gtkrc-dark");
            }

            var app = new App();
            var window = new FormsWindow();
            window.LoadApplication(app);
            window.SetApplicationTitle("Aurora");
            window.Show();

            Gtk.Application.Run();
        }
    }
}
